Installation Redmine 3.2 issue
2017-02-17 09:32 - yy wong

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Hi All,

| have tested below command :
RAILS_ENV=production bundle exec rake db:migrate

and errors:

(in /var/www/redmine)

/usr/local/lib/ruby/gems/2.4.0/gems/htmlentities-4.3.1/lib/htmlentities/mappings/expanded.rb:465: warning: key "inodot" is duplicated
and overwritten on line 466

/usr/local/lib/ruby/gems/2.4.0/gems/thread_safe-0.3.5/lib/thread_safe/cache.rb:155: warning: constant ::Fixnum is deprecated
/usr/local/lib/ruby/gems/2.4.0/gems/activesupport-4.2.7.1/lib/active_support/core_ext/numeric/conversions.rb:121: warning: constant
::Fixnum is deprecated
/usr/local/lib/ruby/gems/2.4.0/gems/activesupport-4.2.7.1/lib/active_support/core_ext/numeric/conversions.rb:121: warning: constant
::Bignum is deprecated

rake aborted!

SystemStackError: stack level too deep

/var/www/redmine/config/environment.rb:14:in “<top (required)>'

/usr/local/bin/bundle:22:in “load'

/usr/local/bin/bundle:22:in “<main>"'

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)

Solution tested: 1. uninstall rake and reinstall again. it still failed.

Please kindly advices. Thank you

History

#1 - 2017-02-17 10:19 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Invalid

Please use Ruby 2.2. Redmine 3.2 does not support Ruby 2.4 and 2.3.
If you have any questions, please use the forum from the next time.

#2 - 2017-03-11 13:20 - lvan Popov
Go MAEDA wrote:

Please use Ruby 2.2. Redmine 3.2 does not support Ruby 2.4 and 2.3.
If you have any questions, please use the forum from the next time.

| am using ruby 2.4.0 and latest redmine 3.3.2 and i got the same errors in same scenario, is redmine 3.3.2 supporting ruby 2.4+ ?

#3 - 2017-03-12 01:09 - Go MAEDA

Ivan Popov wrote:

| am using ruby 2.4.0 and latest redmine 3.3.2 and i got the same errors in same scenario, is redmine 3.3.2 supporting ruby 2.4+ ?
No. Ruby 2.4 will be supported in upcoming Redmine 3.4.0. (#25048)
